%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A freedesktop.org menu implementation
Name:		garcon
Version:	0.1.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/libs/garcon/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	glib2-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{libname}
Summary:	A freedesktop.org menu implementation
Requires:	%{name} = %{version}-%{release}
Group:		System/Libraries

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# (tpg) this file is in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus/xfce-applications.menu

%find_lang %{name}

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/desktop-directories/xfce-*.directory

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/*%{name}*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog HACKING NEWS README STATUS TODO
%{_includedir}/%{name}*
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 41629
- don't ship .a, .la
- imported package garcon


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 632317
- update to new version 0.1.5

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 616352
- update to new version 0.1.4

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-1mdv2011.0
+ Revision: 594762
- update to new version 0.1.3

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2011.0
+ Revision: 593848
- remove conflicting file with mandriva-xfce-config-common package

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2011.0
+ Revision: 593801
- add requires on garcon

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2011.0
+ Revision: 593794
- update to new version 0.1.2
- package new menus and new catecory files

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-2mdv2010.1
+ Revision: 512396
- fix requires and provides for devel package
- import garcon


